import { api } from '../config/env.js'
import { request } from '../utils/request.js'

// 群类型
export const getGroupCate = () => request({ url: '/miniprogram/study/study-group/cate' })

// 群列表
export const getGroupList = ({
  cate,
  keyWord,
  page,
  limit,
  cityId
}) => request({
  url: '/miniprogram/study/study-group/list',
  data: {
    cate,
    keyWord,
    page,
    limit,
    cityId
  }
})

// 新群列表（2020.07.14）
export const getGroupListNew = ({
  page,
  limit,
  cityId,
  keyWord
}) => request({
  url: '/jcgi/operation/portal/studygroup/list',
  data: {
    page,
    limit,
    cityId,
    keyWord
  }
})

// 群发布
export const groupCreate = ({
  title,
  cate,
  weChat,
  avatar,
  remark,
  introduce,
  img,
  cityId
}) => request({
  url: '/miniprogram/study/study-group/add',
  data: {
    title,
    cate,
    weChat,
    avatar,
    remark,
    introduce,
    img,
    cityId
  }
})

// 群编辑
export const groupEdit = ({
  id,
  title,
  cate,
  weChat,
  avatar,
  remark,
  introduce,
  img,
  cityId
}) => request({
  url: '/miniprogram/study/study-group/edit',
  data: {
    id,
    title,
    cate,
    weChat,
    avatar,
    remark,
    introduce,
    img,
    cityId
  }
})

// 群详情
export const getGroupDetail = ({ id }) => request({
  url: '/miniprogram/study/study-group/details',
  data: { id }
})

// 新群详情（2020.07.14）
export const getGroupDetailNew = ({ id }) => request({
  url: '/jcgi/operation/portal/studygroup/info',
  data: { id }
})

// 群删除
export const groupDelete = ({ id }) => request({
  url: '/miniprogram/study/study-group/del',
  data: { id }
})

// 发布的群列表
export const getMyGroup = ({
  page,
  limit
}) => request({
  url: '/miniprogram/study/study-group/my-groups',
  data: {
    page,
    limit
  }
})

// 城市数据
export const getCityData = (data) => request({
  url: '/miniprogram/study/study-group/city-list',
  data
})

// 新城市数据（2020.07.14）
export const getCityDataNew = (data) => request({
  url: '/jcgi/operation/portal/studygroup/cityList',
  data
})

// 新城市数据（2020.07.24）
export const getCityDataNew1 = (data) => request({
  url: '/jcgi/operation/portal/studygroup/address',
  data
})

// 上传
export const uploadFileApi = () => api + '/common/upload/files'

// 服务状态
export const getAppStatus = () => request({
  url: '/miniprogram/study/study-group/reviewed'
})
