const { request } = require('../utils/request.js')
// api_wx_login: `${api}/jcgi/uuc/weapp/login`, // java微信登录
// api_mobile_code: `${api}/jcgi/uuc/common/sms/verifyCode`, // java发送验证码
// api_mobile_login: `${api}/jcgi/uuc/login` // java手机登录
// 微信登录
export const loginByWeChat = ({
  code,
  encryptedData,
  iv
}) => request({
  url: '/jcgi/uuc/weapp/login',
  data: {
    code,
    encryptedData,
    iv,
    hooid: 'hoolihome_liuxue',
  }
})

// 上传用户信息
export const updateUserInfo = ({
  userName,
  avatar,
  encryptedData,
  signature,
  iv
}) => request({
  url: '/jcgi/uuc/user/update',
  data: {
    userName,
    avatar,
    encryptedData,
    signature,
    iv,
    hooid: 'hoolihome_liuxue',
  }
})


// 手机号前缀
export const getPhonePrefix = (data) => request({
  url: '/common/address',
  data
})

// 获取验证码
export const getSmsCode = (data) => request({
  url: '/jcgi/uuc/common/sms/verifyCode',
  data
})

// 手机号登录
export const loginByPhone = ({ verifyCode, mobile, mobilePrefixId }) => request({
  url: '/jcgi/uuc/login',
  data: {
    verifyCode,
    mobile,
    mobilePrefixId,
    loginType: 1,
    hooid: "hoolihome_liuxue",
  }
})

// 获取openId
export const getOpenId = (code) => request({
  url: '/miniprogram/study/user/get-openid',
  data: { code }
})

// 获取unionId
export const getUnionId = ({
  openid,
  encryptedData,
  iv,
  rawData,
  signature
}) => request({
  url: '/miniprogram/study/user/get-unionid',
  data: {
    openid,
    encryptedData,
    iv,
    rawData,
    signature
  }
})
