//app.js
import { getStorageSync, setStorageSync, removeStorageSync } from './utils/util.js';

App({
  onLaunch: function () {
    let systemInfo = getStorageSync('systemInfo')
    if (!systemInfo) {
      systemInfo = wx.getSystemInfoSync()
      setStorageSync('systemInfo', systemInfo)
    }
    let citySelectObj = getStorageSync('citySelectObj')
    // 老版本存的 citySelectObj = {id,name,...}, 删除做兼容
    if(citySelectObj && citySelectObj.id) {
      removeStorageSync('citySelectObj')
      citySelectObj = null
    }
    if (!citySelectObj) {
      citySelectObj = this.globalData.citySelectDefault
      setStorageSync('citySelectObj', citySelectObj)
    }
  },
  globalData: {
    // 默认选择的城市
    citySelectDefault: {
      cityId: 205,
      cityName: '波士顿'
    },
    userInfo: null
  }
})
