import { getGroupList } from '../../api/index'

Page({
  /**
   * 页面的初始数据
   */
  data: {
    inputValue: '',
    hideClose: true,
    hideScrollTop: true,
    showData: false,
    showNoDataTip: false,
    hasMoreData: false,
    listQuery: {
      cate: '',
      keyWord: '',
      page: 1,
      limit: 20
    },
    searchList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {},

  // 监听滚动条坐标
  onPageScroll: function (e) {
    // const hideScrollTop = e.scrollTop < 150
    // if (this.data.hideScrollTop === hideScrollTop) return

    // this.setData({ hideScrollTop })
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasMoreData) {
      this.data.listQuery.page += 1
      this.getSearchData()
    }
  },

  clearInput: function () {
    this.setData({
      showData: false,
      inputValue: '',
      hideClose: true,
      searchList: [],
      'listQuery.keyWord': ''
    })
  },

  getSearchData: function () {
    const listQuery = this.data.listQuery
    const searchList = this.data.searchList

    getGroupList(listQuery).then((result) => {
      const data = result.data || {}
      this.setData({
        showData: true,
        searchList: listQuery.page > 1 ? searchList.concat(data.list) : data.list || [],
        showNoDataTip: listQuery.page > 1,
        hasMoreData: data.totalCount > listQuery.page * listQuery.limit
      })
    }).catch((err) => {
      this.setData({
        showData: true
      })
    })
  },

  bindSearch: function (e) {
    let value = e.detail.value
    value = value.trim()

    this.setData({
      hideClose: !value.length
    })
    if (value.length) {
      this.data.listQuery.keyWord = value
      this.data.listQuery.page = 1
      this.getSearchData()
    } else {
      this.setData({
        showData: false,
        searchList: [],
        'listQuery.keyWord': ''
      })
    }
  },

  pageScrollTo: function () {
    wx.pageScrollTo({
      scrollTop: 0
    })
  }

})
