// pages/select/select.js
import { getCityDataNew1 } from '../../api/index'
import { getStorageSync, setStorageSync, reLaunch } from '../../utils/util'

Page({
  /**
   * 页面的初始数据
   */
  data: {
    loading: true,
    citySelectObj: null,
    cityList: [], // 全部城市数据
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const citySelectObj = getStorageSync('citySelectObj') || null
    this.setData({
      citySelectObj
    }, () => {
      this.loadData()
    })
  },

  loadData: function () {
    const params = {}
    getCityDataNew1(params).then((result) => {
      this.setData({
        loading: false
      })
      if(Array.isArray(result.data)) {
        this.setData({
          cityList: result.data
        })
      }
    }).catch((err) => {
      this.setData({
        loading: false,
        cityList: []
      })
    })
  },

  // 选择城市
  selectCity(e) {
    const { cityItem } = e.currentTarget.dataset
    setStorageSync('citySelectObj', cityItem)
    reLaunch('/pages/index/index')
  }
})
